require "amrita2/template"
include Amrita2

tmpl = TemplateText.new <<END
<table border='1'>
  <tr><th>name</th><th>author</th></tr>
  <tr id='item'>
    <td id='name'></td><td id='author'></td>
  </tr>
</table>
END

data = [
  [ "Ruby", "matz" ],
  [ "perl", "Larry Wall" ],
  [ "python", "Guido van Rossum" ]
] 

tmpl.expand(STDOUT) do |m|
  data.each do |name, author| 
    m.item do |m2|
      m2.name(name)
      m2.author(author)
    end
  end
end

__END__
<table border='1'>
  <tr><th>name</th><th>author</th></tr>
  <tr>
    <td>Ruby</td><td>matz</td>
  </tr><tr>
    <td>perl</td><td>Larry Wall</td>
  </tr><tr>
    <td>python</td><td>Guido van Rossum</td>
  </tr>
</table>
