$: << File::expand_path("~/amrita2/lib")

require 'amrita2/ext'
require 'amrita2/test'

require 'stringio'

class ActiveRecord::Base

#   def method(key)
# $stderr.puts "requesting #{key.inspect} of #{self.class}..."
#     ( super(key) rescue nil ) || super(:method_missing)
#   end
end

module Amrita2MockView

  class Base

    def initialize( action_view )
      @action_view = action_view
    end

    def render( template, local_assigns={} )
      opt = {
        :check_true=>true, 
        :replace_attr=>true,
        :delete_id => true, 
        :key_attr_name=> :id
      }

      action_name = @action_view.controller.action_name
      spec_method = action_name + "_spec"
      spec = nil
      if @action_view.respond_to?(spec_method)
        spec = @action_view.send(spec_method)
      else
        rexml_doc = REXML::Document.new(template)
        spec = Amrita2::make_default_spec(rexml_doc.root, opt)
      end

      po_method = action_name + "_po"
      po = @action_view.send(po_method)
      m = spec.create_dummy_template
      $AMRITA2_MOCK_RESULT = Amrita2::Expander.new(opt).expand(m, nil, po)

      ""
    end
  end
end
