$: << File::expand_path("~/amrita2/lib")

require 'amrita2/template'
require 'amrita2/ext'

require 'stringio'

class ActiveRecord::Base

#   def method(key)
# $stderr.puts "requesting #{key.inspect} of #{self.class}..."
#     ( super(key) rescue nil ) || super(:method_missing)
#   end
end

module Amrita2View

  class Base

    def initialize( action_view )
      @action_view = action_view
    end

    def render( template, local_assigns={} )
      template = Amrita2::TemplateText.new( template )
      out = StringIO.new
      action_name = @action_view.controller.action_name

      spec_method = action_name + "_spec"
      if @action_view.respond_to?(spec_method)
        template.spec = @action_view.send(spec_method)
      end

#       class << @action_view
#         return ancestors.join("\n") 
#       end

      po_method = action_name + "_po"
      po = @action_view.send(po_method)

      template.expand( out, po)
      out.string
    end

  end

end
